function s = tab2struct(fileToRead1)
%IMPORTFILE(FILETOREAD1)
%  Imports data from the specified file
%  FILETOREAD1:  file to read

%  Auto-generated by MATLAB on 20-Apr-2016 10:06:04

DELIMITER = '\t';
HEADERLINES = 1;

% Import the file
newData1 = importdata(fileToRead1, DELIMITER, HEADERLINES);

% Create new variables in the base workspace from those fields.
vars = fieldnames(newData1);
for i = 1:length(vars)
    assignin('base', vars{i}, newData1.(vars{i}));
end

d=newData1.data;
v=newData1.textdata(1,1);
if (isempty(newData1.textdata(2:end,1)))
  i=num2str(newData1.data(:,1));
  d=newData1.data(:,2:end);
else
i=newData1.textdata(2:end,1);
end

v=strsplit (v{1,1:end}, sep="\t");
v=v(1,2:end);

s=struct('d',{d},'i',strvcat({i}),'v',strvcat({v}));

endfunction
